Subject: RE: IPP> Does the world need a robust host-to-device network prin ting protocol?

From: Paul Moore <[email-masked]>
Date: Wed, 11 Feb 1998 09:04:26 -0800

You are not alone in thinking the world needs a robust, fully-featured
network printer interface. Personally I think this is MUCH MORE VALUABLE to
corporates than IPP - sadly it is not in the glamorous glow of the Internet
with all its unlimited budgets, hype, etc.

Who couldn't I persuade - Xerox, IBM, Canon, Sharp, Novell.... I had this
discussion on the first day I attended a WG meeting - 'we need two things,
something to provide high level features for users on the Internet,
something to fix the 'LPD sucks' problem'. I continued to state this every
time I was asked. Eventually I got the message that this was not a welcome
topic, and still isn't. 

> -----Original Message-----
> From:	Jay Martin [SMTP:[email-masked]]
> Sent:	Tuesday, February 10, 1998 2:53 PM
> To:	[email-masked]
> Cc:	Paul Moore; 'Harry Lewis'
> Subject:	IPP> Does the world need a robust host-to-device network
> printing protocol?
> 
> Paul Moore wrote in the "Submission vs. Monitoring and Management"
> thread:
> 
> > Now if somebody wants to have a separate debate about writing a really
> > robust protocol for interfacing to printers (and I mean the real
> hardware
> > not some logical abstraction) then that will suit me fine. Lets start a
> new
> > track and call it, say, NLS (Not LPD and SNMP). This is what I initially
> > wanted to do but could not persuade enough people.
> 
> Paul, what people were you unable to persuade?  Internal Microsoft
> folks, or PWG folks, or both or what?
> 
> For fear of sounding as if I'm beating a dead horse to death:
> 
>   Enterprise environments desparately need a fully functional
>   host-to-device protocol for network printing.
> 
> Am I alone in this belief???  (I know for a fact I am NOT along.)
> 
> Will others in the PWG share their views using this new thread?
> If this belief turns out to be a minority view, then I'd certainly
> like to know (so I can drop the subject once and for all, if so).
> 
> 	...jay
> 
> ----------------------------------------------------------------------
> --  JK Martin               |  Email:   [email-masked]          --
> --  Underscore, Inc.        |  Voice:   (603) 889-7000              --
> --  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
> --  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
> ----------------------------------------------------------------------

---

From: Jay Martin <[email-masked]>
Date: Wed, 11 Feb 1998 12:39:26 -0500

Paul,

> with all its unlimited budgets, hype, etc.

Thanks for making this statement.  It's great to see that we agree
on this fundamental opinion.

> time I was asked. Eventually I got the message that this was not a welcome

The opinions of these companies would appear quite disconcerting,
except for one important fact...

Those companies (as well as myself) originally believed IPP-over-HTTP
would give us these additional (*critical*) capabilities right out
of the box with virtually no effort on our part:

  1. Firewall punch-thru
  2. Security framework
  3. Zero-client-side software installation

As I have said before, ALL of these fine, excellent assumptions
have now seriously fallen by the wayside.

And yet, we're left with this mess called IPP-over-HTTP.

Once we realized our initital assumptions were proven false,
why did we continue on this track?

I encourage others in the PWG to comment on this (please!).

	...jay